## cmus 2.9.0

=== debian/changelog ===
cmus (2.9.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Patrick Gaskin ]
  * Fix missing dependency for MPRIS support

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 13
    - Set RRR: no
  * debian/patches/12-typos.patch: Removed, fixed upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 19 Jan 2021 20:15:26 +0100

## cmus 2.9.1

=== Makefile ===
REV	= HEAD

# version from an annotated tag
_ver0	= $(shell git describe $(REV) 2>/dev/null)
# version from a plain tag
_ver1	= $(shell git describe --tags $(REV) 2>/dev/null)
# SHA1
_ver2	= $(shell git rev-parse --verify --short $(REV) 2>/dev/null)
# hand-made
_ver3	= v2.9.1

VERSION	= $(or $(_ver0),$(_ver1),$(_ver2),$(_ver3))

all: main plugins man

-include config.mk
include scripts/lib.mk

CFLAGS += -D_FILE_OFFSET_BITS=64

FFMPEG_CFLAGS += $(shell pkg-config --cflags libswresample)
FFMPEG_LIBS += $(shell pkg-config --libs libswresample)

CMUS_LIBS = $(PTHREAD_LIBS) $(NCURSES_LIBS) $(ICONV_LIBS) $(DL_LIBS) $(DISCID_LIBS) \
			-lm $(COMPAT_LIBS) $(LIBSYSTEMD_LIBS)

command_mode.o input.o main.o ui_curses.o op/pulse.lo: .version
command_mode.o input.o main.o ui_curses.o op/pulse.lo: CFLAGS += -DVERSION=\"$(VERSION)\"
main.o server.o: CFLAGS += -DDEFAULT_PORT=3000
discid.o: CFLAGS += $(DISCID_CFLAGS)
mpris.o: CFLAGS += $(LIBSYSTEMD_CFLAGS)

.version: Makefile
	@test "`cat $@ 2> /dev/null`" = "$(VERSION)" && exit 0; \
	echo "   GEN    $@"; echo $(VERSION) > $@

# programs {{{
cmus-y := \
	ape.o browser.o buffer.o cache.o channelmap.o cmdline.o cmus.o command_mode.o \
	comment.o convert.lo cue.o cue_utils.o debug.o discid.o editable.o expr.o \
	filters.o format_print.o gbuf.o glob.o help.o history.o http.o id3.o input.o \
	job.o keys.o keyval.o lib.o load_dir.o locking.o mergesort.o misc.o options.o \
	output.o pcm.o player.o play_queue.o pl.o rbtree.o read_wrapper.o search_mode.o \
	search.o server.o spawn.o tabexp_file.o tabexp.o track_info.o track.o tree.o \
	uchar.o u_collate.o ui_curses.o window.o worker.o xstrjoin.o

cmus-$(CONFIG_MPRIS) += mpris.o

$(cmus-y): CFLAGS += $(PTHREAD_CFLAGS) $(NCURSES_CFLAGS) $(ICONV_CFLAGS) $(DL_CFLAGS)

cmus: $(cmus-y) file.o path.o prog.o xmalloc.o
	$(call cmd,ld,$(CMUS_LIBS))

cmus-remote: main.o file.o misc.o path.o prog.o xmalloc.o xstrjoin.o
	$(call cmd,ld,$(COMPAT_LIBS))

# cygwin compat
DLLTOOL=dlltool

libcmus-$(CONFIG_CYGWIN) := libcmus.a

libcmus.a: $(cmus-y) file.o path.o prog.o xmalloc.o
	$(LD) -shared -o cmus.exe -Wl,--out-implib=libcmus.a -Wl,--base-file,cmus.base \
		-Wl,--export-all-symbols -Wl,--no-whole-archive $^ $(CMUS_LIBS)
	$(DLLTOOL) --output-def cmus.def --dllname cmus.exe --export-all-symbols $^
	$(DLLTOOL) --base-file cmus.base --dllname cmus.exe --input-def cmus.def --output-exp cmus.exp
	$(LD) -o cmus.exe -Wl,cmus.exp $^ $(CMUS_LIBS)

# }}}

# input plugins {{{
cdio-objs		:= ip/cdio.lo
flac-objs		:= ip/flac.lo
mad-objs		:= ip/mad.lo ip/nomad.lo
mikmod-objs		:= ip/mikmod.lo
modplug-objs		:= ip/modplug.lo
bass-objs		:= ip/bass.lo
mpc-objs		:= ip/mpc.lo
vorbis-objs		:= ip/vorbis.lo
opus-objs		:= ip/opus.lo
wavpack-objs		:= ip/wavpack.lo
wav-objs		:= ip/wav.lo
mp4-objs		:= ip/mp4.lo
aac-objs		:= ip/aac.lo
ffmpeg-objs		:= ip/ffmpeg.lo
cue-objs		:= ip/cue.lo
vtx-objs		:= ip/vtx.lo

ip-$(CONFIG_CDIO)	+= ip/cdio.so
ip-$(CONFIG_FLAC)	+= ip/flac.so
ip-$(CONFIG_MAD)	+= ip/mad.so
ip-$(CONFIG_MIKMOD)	+= ip/mikmod.so
ip-$(CONFIG_MODPLUG)	+= ip/modplug.so
ip-$(CONFIG_BASS)	+= ip/bass.so
ip-$(CONFIG_MPC)	+= ip/mpc.so
ip-$(CONFIG_VORBIS)	+= ip/vorbis.so
ip-$(CONFIG_OPUS)	+= ip/opus.so
ip-$(CONFIG_WAVPACK)	+= ip/wavpack.so
ip-$(CONFIG_WAV)	+= ip/wav.so
ip-$(CONFIG_MP4)	+= ip/mp4.so
ip-$(CONFIG_AAC)	+= ip/aac.so
ip-$(CONFIG_FFMPEG)	+= ip/ffmpeg.so
ip-$(CONFIG_CUE)	+= ip/cue.so
ip-$(CONFIG_VTX)	+= ip/vtx.so

$(cdio-objs):		CFLAGS += $(CDIO_CFLAGS) $(CDDB_CFLAGS)
$(flac-objs):		CFLAGS += $(FLAC_CFLAGS)
$(mad-objs):		CFLAGS += $(MAD_CFLAGS)
$(mikmod-objs):		CFLAGS += $(MIKMOD_CFLAGS)
$(modplug-objs):	CFLAGS += $(MODPLUG_CFLAGS)
$(bass-objs):		CFLAGS += $(BASS_CFLAGS)
$(mpc-objs):		CFLAGS += $(MPC_CFLAGS)
$(vorbis-objs):		CFLAGS += $(VORBIS_CFLAGS)
$(opus-objs):		CFLAGS += $(OPUS_CFLAGS)
$(wavpack-objs):	CFLAGS += $(WAVPACK_CFLAGS)
$(mp4-objs):		CFLAGS += $(MP4_CFLAGS)
$(aac-objs):		CFLAGS += $(AAC_CFLAGS)
$(ffmpeg-objs):		CFLAGS += $(FFMPEG_CFLAGS)
$(vtx-objs):		CFLAGS += $(VTX_CFLAGS)

ip/cdio.so: $(cdio-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(CDIO_LIBS) $(CDDB_LIBS))

ip/flac.so: $(flac-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(FLAC_LIBS))

ip/mad.so: $(mad-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(MAD_LIBS) $(ICONV_LIBS))

ip/mikmod.so: $(mikmod-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(MIKMOD_LIBS))

ip/modplug.so: $(modplug-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(MODPLUG_LIBS))

ip/bass.so: $(bass-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(BASS_LIBS))

ip/mpc.so: $(mpc-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(MPC_LIBS))

ip/vorbis.so: $(vorbis-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(VORBIS_LIBS))

ip/opus.so: $(opus-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(OPUS_LIBS))

ip/wavpack.so: $(wavpack-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(WAVPACK_LIBS))

ip/wav.so: $(wav-objs) $(libcmus-y)
	$(call cmd,ld_dl,)

ip/mp4.so: $(mp4-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(MP4_LIBS))

ip/aac.so: $(aac-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(AAC_LIBS))

ip/ffmpeg.so: $(ffmpeg-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(FFMPEG_LIBS))

ip/cue.so: $(cue-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(CUE_LIBS))

ip/vtx.so: $(vtx-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(VTX_LIBS))

# }}}

# output plugins {{{
pulse-objs		:= op/pulse.lo
alsa-objs		:= op/alsa.lo op/mixer_alsa.lo
jack-objs		:= op/jack.lo
arts-objs		:= op/arts.lo
oss-objs		:= op/oss.lo op/mixer_oss.lo
sun-objs		:= op/sun.lo op/mixer_sun.lo
sndio-objs		:= op/sndio.lo
ao-objs			:= op/ao.lo
coreaudio-objs		:= op/coreaudio.lo
waveout-objs		:= op/waveout.lo
roar-objs               := op/roar.lo

op-$(CONFIG_PULSE)	+= op/pulse.so
op-$(CONFIG_ALSA)	+= op/alsa.so
op-$(CONFIG_JACK)	+= op/jack.so
op-$(CONFIG_ARTS)	+= op/arts.so
op-$(CONFIG_OSS)	+= op/oss.so
op-$(CONFIG_SNDIO)	+= op/sndio.so
op-$(CONFIG_SUN)	+= op/sun.so
op-$(CONFIG_COREAUDIO)	+= op/coreaudio.so
op-$(CONFIG_AO)		+= op/ao.so
op-$(CONFIG_WAVEOUT)	+= op/waveout.so
op-$(CONFIG_ROAR)       += op/roar.so

$(pulse-objs): CFLAGS		+= $(PULSE_CFLAGS)
$(alsa-objs): CFLAGS		+= $(ALSA_CFLAGS)
$(jack-objs): CFLAGS		+= $(JACK_CFLAGS) $(SAMPLERATE_CFLAGS)
$(arts-objs): CFLAGS		+= $(ARTS_CFLAGS)
$(oss-objs):  CFLAGS		+= $(OSS_CFLAGS)
$(sndio-objs): CFLAGS		+= $(SNDIO_CFLAGS)
$(sun-objs):  CFLAGS		+= $(SUN_CFLAGS)
$(ao-objs):   CFLAGS		+= $(AO_CFLAGS)
$(coreaudio-objs): CFLAGS	+= $(COREAUDIO_CFLAGS)
$(waveout-objs): CFLAGS 	+= $(WAVEOUT_CFLAGS)
$(roar-objs): CFLAGS		+= $(ROAR_CFLAGS)

op/pulse.so: $(pulse-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(PULSE_LIBS))

op/alsa.so: $(alsa-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(ALSA_LIBS))

op/jack.so: $(jack-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(JACK_LIBS) $(SAMPLERATE_LIBS))

op/arts.so: $(arts-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(ARTS_LIBS))

op/oss.so: $(oss-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(OSS_LIBS))

op/sndio.so: $(sndio-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(SNDIO_LIBS))

op/sun.so: $(sun-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(SUN_LIBS))

op/ao.so: $(ao-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(AO_LIBS))

op/coreaudio.so: $(coreaudio-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(COREAUDIO_LIBS))

op/waveout.so: $(waveout-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(WAVEOUT_LIBS))

op/roar.so: $(roar-objs) $(libcmus-y)
	$(call cmd,ld_dl,$(ROAR_LIBS))
# }}}

# man {{{
man1	:= Doc/cmus.1 Doc/cmus-remote.1
man7	:= Doc/cmus-tutorial.7

$(man1): Doc/ttman
$(man7): Doc/ttman

%.1: %.txt
	$(call cmd,ttman)

%.7: %.txt
	$(call cmd,ttman)

Doc/ttman.o: Doc/ttman.c
	$(call cmd,hostcc,)

Doc/ttman: Doc/ttman.o
	$(call cmd,hostld,)

quiet_cmd_ttman = MAN    $@
      cmd_ttman = Doc/ttman $< $@
# }}}

data		= $(wildcard data/*)

clean		+= *.o ip/*.lo op/*.lo ip/*.so op/*.so *.lo cmus libcmus.a cmus.def cmus.base cmus.exp cmus-remote Doc/*.o Doc/ttman Doc/*.1 Doc/*.7 .install.log
distclean	+= .version config.mk config/*.h tags

main: cmus cmus-remote
plugins: $(ip-y) $(op-y)
man: $(man1) $(man7)

install-main: main
	$(INSTALL) -m755 $(bindir) cmus cmus-remote

install-plugins: plugins
	$(INSTALL) -m755 $(libdir)/cmus/ip $(ip-y)
	$(INSTALL) -m755 $(libdir)/cmus/op $(op-y)

install-data: man
	$(INSTALL) -m644 $(datadir)/cmus $(data)
	$(INSTALL) -m644 $(mandir)/man1 $(man1)
	$(INSTALL) -m644 $(mandir)/man7 $(man7)
	$(INSTALL) -m755 $(exampledir) cmus-status-display

install: all install-main install-plugins install-data

tags:
	exuberant-ctags *.[ch]

# generating tarball using GIT {{{
TARNAME	= cmus-$(VERSION)

dist:
	@tarname=$(TARNAME);						\
	test "$(_ver2)" || { echo "No such revision $(REV)"; exit 1; };	\
	echo "   DIST   $$tarname.tar.bz2";				\
	git archive --format=tar --prefix=$$tarname/ $(REV)^{tree} | bzip2 -c -9 > $$tarname.tar.bz2

# }}}

.PHONY: all main plugins man dist tags
.PHONY: install install-main install-plugins install-man

=== debian/changelog ===
cmus (2.9.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 22 Jan 2021 22:28:04 +0100

=== debian/control ===
Source: cmus
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Ryan Kavanagh <rak@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 bash-completion,
 libao-dev,
 libasound2-dev (>= 1.0.11) [linux-any],
 libavcodec-dev,
 libavformat-dev (>= 6:10~),
 libswresample-dev,
 libcddb2-dev,
 libcdio-cdda-dev,
 libcue-dev,
 libdiscid-dev,
 libfaad-dev,
 libflac-dev,
 libjack-dev,
 libmad0-dev,
 libmodplug-dev,
 libmpcdec-dev,
 libncursesw5-dev,
 libopusfile-dev,
 libpulse-dev (>= 0.9.19),
 libroar-dev,
 libsamplerate0-dev,
 libsystemd-dev,
 libvorbis-dev,
 libwavpack-dev,
 pkg-config
Standards-Version: 4.5.1
Homepage: https://cmus.github.io/
Vcs-Git: https://salsa.debian.org/multimedia-team/cmus.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/cmus
Rules-Requires-Root: no

Package: cmus
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 cmus-plugin-ffmpeg
Suggests:
 ${shlibs:Suggests}
Breaks: cmus-plugin-ffmpeg (<< 2.8.0)
Description: lightweight ncurses audio player
 C* Music Player is a modular and very configurable ncurses-based audio player.
 It has some interesting features like configurable colorscheme, mp3 and ogg
 streaming, it can be controlled with an UNIX socket, filters, album/artists
 sorting and a vi-like configuration interface.
 .
 It currently supports different input formats:
  - Ogg Vorbis
  - MP3 (with libmad)
  - FLAC
  - Wav
  - Modules (with libmodplug)
  - Musepack
  - AAC
  - Windows Media Audio

Package: cmus-plugin-ffmpeg
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 cmus (= ${binary:Version})
Description: lightweight ncurses audio player (FFmpeg plugin)
 C* Music Player is a modular and very configurable ncurses-based audio player.
 It has some interesting features like configurable colorscheme, mp3 and ogg
 streaming, it can be controlled with an UNIX socket, filters, album/artists
 sorting and a vi-like configuration interface.
 .
 This package adds FFmpeg support to C* Music Player.

## cmus 2.10.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # SHA1
 _ver2	= $(shell git rev-parse --verify --short $(REV) 2>/dev/null)
 # hand-made
-_ver3	= v2.9.1
+_ver3	= v2.10.0
 
 VERSION	= $(or $(_ver0),$(_ver1),$(_ver2),$(_ver3))

=== debian/changelog ===
cmus (2.10.0-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:37:45 +1100

cmus (2.10.0-4build2) noble; urgency=medium

  * No-change rebuild against libflac12t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 14:53:06 +0000

cmus (2.10.0-4build1) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:43:47 +0200

cmus (2.10.0-4) unstable; urgency=medium

  * Team upload
  * debian/patches: Apply upstream patch to fix compatibility with ffmpeg 6.0
    (Closes: #1041375)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 27 Jul 2023 21:00:31 +0200

cmus (2.10.0-3) unstable; urgency=medium

  * Team upload
  * debian/control: Bump Standards-Version
  * debian/: Remove roar support (Closes: #1030661)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 07 Feb 2023 09:20:50 +0100

cmus (2.10.0-2) unstable; urgency=medium

  * Team upload
  * Add a patch from upstream to fix a freeze when exiting cmus

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sun, 31 Jul 2022 22:01:04 +0200

cmus (2.10.0-1) unstable; urgency=medium

  * Team upload

  [ Jenkins ]
  * Remove constraints unnecessary since buster

  [ Philippe SWARTVAGHER ]
  * New upstream version 2.10.0
  * Bump d/watch version
  * Bump standards-version to 4.6.1
  * Add a patch to fix a typo spotted by Lintian

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Wed, 13 Jul 2022 20:40:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: cmus
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Ryan Kavanagh <rak@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  bash-completion,
  libao-dev,
- libasound2-dev (>= 1.0.11) [linux-any],
+ libasound2-dev [linux-any],
  libavcodec-dev,
- libavformat-dev (>= 6:10~),
+ libavformat-dev,
  libswresample-dev,
  libcddb2-dev,
  libcdio-cdda-dev,
@@ -24,14 +25,13 @@
  libmpcdec-dev,
  libncursesw5-dev,
  libopusfile-dev,
- libpulse-dev (>= 0.9.19),
- libroar-dev,
+ libpulse-dev,
  libsamplerate0-dev,
  libsystemd-dev,
  libvorbis-dev,
  libwavpack-dev,
  pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://cmus.github.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/cmus.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/cmus

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
CROSS = CROSS=$(DEB_HOST_GNU_TYPE)- PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
endif

# The following architectures need the -latomic flag
# to build, otherwise we FTBFS with
#    ./track_info.c:47: undefined reference to `__atomic_fetch_add_8'
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=935678
# Depends on 13-atomic_ld.patch
ifneq (,$(findstring $(DEB_BUILD_ARCH), armel m68k mipsel powerpc sh4))
export LDLIBS += -latomic
endif

DEB_LDFLAGS_MAINT_APPEND += -Wl,--as-needed
DEB_CFLAGS_MAINT_APPEND  += -I/usr/include/ncursesw
DEB_BUILD_MAINT_OPTIONS   = hardening=+all
DPKG_EXPORT_BUILDFLAGS    = 1
include /usr/share/dpkg/buildflags.mk

suggested_deps = pulse jack

EXTRA_CMUS_DIR_OP_PLUGINS = debian/cmus/usr/lib/cmus/op/
EXTRA_CMUS_PLUGINS := $(foreach plugin,$(suggested_deps),$(plugin).so)

%:
	dh $@ --with bash-completion

override_dh_auto_configure:
	$(CROSS) ./configure \
		prefix=/usr \
		CONFIG_ARTS=n \
		CONFIG_ROAR=n \
		DEBUG=0

override_dh_auto_build:
	# Pass V=2 to make to enable verbose build logs, which is useful for
	# porters, sorting out build hardening issues, etc.
	dh_auto_build -- V=2

override_dh_install:
	dh_install -pcmus
	dh_movefiles -pcmus-plugin-ffmpeg --sourcedir=debian/cmus/ \
		/usr/lib/cmus/ip/ffmpeg.so

override_dh_installdocs:
	dh_installdocs
	# do not install zsh and bash completion twice
	rm debian/cmus/usr/share/doc/cmus/contrib/_cmus \
		debian/cmus/usr/share/doc/cmus/contrib/cmus.bash-completion

override_dh_shlibdeps:
	dh_shlibdeps -pcmus $(foreach plugin,$(EXTRA_CMUS_PLUGINS),-X$(plugin))
	dpkg-shlibdeps -O -dSuggests \
		$(foreach plugin,$(EXTRA_CMUS_PLUGINS),$(EXTRA_CMUS_DIR_OP_PLUGINS)$(plugin)) \
		>> debian/cmus.substvars
	dh_shlibdeps --remaining-packages

## cmus 2.11.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # SHA1
 _ver2	= $(shell git rev-parse --verify --short $(REV) 2>/dev/null)
 # hand-made
-_ver3	= v2.10.0
+_ver3	= v2.11.0
 
 VERSION	= $(or $(_ver0),$(_ver1),$(_ver2),$(_ver3))
 
@@ -40,9 +40,9 @@
 	comment.o convert.lo cue.o cue_utils.o debug.o discid.o editable.o expr.o \
 	filters.o format_print.o gbuf.o glob.o help.o history.o http.o id3.o input.o \
 	job.o keys.o keyval.o lib.o load_dir.o locking.o mergesort.o misc.o options.o \
-	output.o pcm.o player.o play_queue.o pl.o rbtree.o read_wrapper.o search_mode.o \
-	search.o server.o spawn.o tabexp_file.o tabexp.o track_info.o track.o tree.o \
-	uchar.o u_collate.o ui_curses.o window.o worker.o xstrjoin.o
+	output.o pcm.o player.o play_queue.o pl.o pl_env.o rbtree.o read_wrapper.o \
+	search_mode.o search.o server.o spawn.o tabexp_file.o tabexp.o track_info.o \
+	track.o tree.o uchar.o u_collate.o ui_curses.o window.o worker.o xstrjoin.o
 
 cmus-$(CONFIG_MPRIS) += mpris.o

=== debian/changelog ===
cmus (2.11.0-1build2) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 22:35:51 -0500

cmus (2.11.0-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:10:59 +0200

cmus (2.11.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.11.0
    - Fix build with ffmpeg 7.0 (Closes: #1072405)
  * debian/patches: Refresh patches
  * debian/control:
    - Bump Standards-Version
    - Use pkgconf
    - Use openmpt's modplug
    - Use libncurses-dev

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Jun 2024 23:45:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cmus
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Ryan Kavanagh <rak@debian.org>
 Build-Depends:
@@ -21,17 +20,17 @@
  libflac-dev,
  libjack-dev,
  libmad0-dev,
- libmodplug-dev,
  libmpcdec-dev,
- libncursesw5-dev,
+ libncurses-dev,
+ libopenmpt-modplug-dev,
  libopusfile-dev,
  libpulse-dev,
  libsamplerate0-dev,
  libsystemd-dev,
  libvorbis-dev,
  libwavpack-dev,
- pkg-config
-Standards-Version: 4.6.2
+ pkgconf
+Standards-Version: 4.7.0
 Homepage: https://cmus.github.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/cmus.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/cmus

## cmus 2.12.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # SHA1
 _ver2	= $(shell git rev-parse --verify --short $(REV) 2>/dev/null)
 # hand-made
-_ver3	= v2.11.0
+_ver3	= v2.12.0
 
 VERSION	= $(or $(_ver0),$(_ver1),$(_ver2),$(_ver3))
 
@@ -17,9 +17,6 @@
 include scripts/lib.mk
 
 CFLAGS += -D_FILE_OFFSET_BITS=64
-
-FFMPEG_CFLAGS += $(shell pkg-config --cflags libswresample)
-FFMPEG_LIBS += $(shell pkg-config --libs libswresample)
 
 CMUS_LIBS = $(PTHREAD_LIBS) $(NCURSES_LIBS) $(ICONV_LIBS) $(DL_LIBS) $(DISCID_LIBS) \
 			-lm $(COMPAT_LIBS) $(LIBSYSTEMD_LIBS)
@@ -125,7 +122,7 @@
 	$(call cmd,ld_dl,$(FLAC_LIBS))
 
 ip/mad.so: $(mad-objs) $(libcmus-y)
-	$(call cmd,ld_dl,$(MAD_LIBS) $(ICONV_LIBS))
+	$(call cmd,ld_dl,-lm $(MAD_LIBS) $(ICONV_LIBS))
 
 ip/mikmod.so: $(mikmod-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(MIKMOD_LIBS))
@@ -140,7 +137,7 @@
 	$(call cmd,ld_dl,$(MPC_LIBS))
 
 ip/vorbis.so: $(vorbis-objs) $(libcmus-y)
-	$(call cmd,ld_dl,$(VORBIS_LIBS))
+	$(call cmd,ld_dl,-lm $(VORBIS_LIBS))
 
 ip/opus.so: $(opus-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(OPUS_LIBS))
@@ -161,7 +158,7 @@
 	$(call cmd,ld_dl,$(FFMPEG_LIBS))
 
 ip/cue.so: $(cue-objs) $(libcmus-y)
-	$(call cmd,ld_dl,$(CUE_LIBS))
+	$(call cmd,ld_dl,-lm)
 
 ip/vtx.so: $(vtx-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(VTX_LIBS))
@@ -180,6 +177,7 @@
 coreaudio-objs		:= op/coreaudio.lo
 waveout-objs		:= op/waveout.lo
 roar-objs               := op/roar.lo
+aaudio-objs		:= op/aaudio.lo
 
 op-$(CONFIG_PULSE)	+= op/pulse.so
 op-$(CONFIG_ALSA)	+= op/alsa.so
@@ -192,6 +190,7 @@
 op-$(CONFIG_AO)		+= op/ao.so
 op-$(CONFIG_WAVEOUT)	+= op/waveout.so
 op-$(CONFIG_ROAR)       += op/roar.so
+op-$(CONFIG_AAUDIO)	+= op/aaudio.so
 
 $(pulse-objs): CFLAGS		+= $(PULSE_CFLAGS)
 $(alsa-objs): CFLAGS		+= $(ALSA_CFLAGS)
@@ -204,6 +203,7 @@
 $(coreaudio-objs): CFLAGS	+= $(COREAUDIO_CFLAGS)
 $(waveout-objs): CFLAGS 	+= $(WAVEOUT_CFLAGS)
 $(roar-objs): CFLAGS		+= $(ROAR_CFLAGS)
+$(aaudio-objs): CFLAGS		+= $(AAUDIO_CFLAGS)
 
 op/pulse.so: $(pulse-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(PULSE_LIBS))
@@ -237,6 +237,9 @@
 
 op/roar.so: $(roar-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(ROAR_LIBS))
+
+op/aaudio.so: $(aaudio-objs) $(libcmus-y)
+	$(call cmd,ld_dl,$(AAUDIO_LIBS))
 # }}}
 
 # man {{{

=== debian/changelog ===
cmus (2.12.0-2) unstable; urgency=medium

  * Team upload
  * Fix build with ffmpeg 8.0 (Closes: #1115013)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 12 Sep 2025 23:00:35 +0200

cmus (2.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Philippe SWARTVAGHER ]
  * New upstream version 2.12.0 (Closes: #1087737)
    + Refresh patches
  * Bump standards-version to 4.7.2: no change needed
  * d/rules: remove as-needed linker flag
  * Add lintian override for library-not-linked-against-libc
    of usr/lib/cmus/op/sndio.so
  * Add patch to use hardening flags to build Doc/ttman

  [ Helmut Grohne ]
  * Fix FTCBFS: Fix build/host confusion. (Closes: #954749)

  [ Dylan Aïssi ]
  * Convert debian/copyright to DEP5

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Sat, 15 Mar 2025 22:56:48 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  libvorbis-dev,
  libwavpack-dev,
  pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://cmus.github.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/cmus.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/cmus

=== debian/watch ===
version=4
opts="dversionmangle=s/\+git\d+$//,uversionmangle=s/([\d\.]+)-(rc|beta)(.*)/\1~\2\3/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/cmus-$1\.tar\.gz/" \
https://github.com/cmus/cmus/tags .*/v?(\d\S*)\.tar\.gz
